Skip to content

@nikosdion nikosdion released this Mar 13, 2019 · 157 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.9
  • PHP 7.3

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8 and 3.9.
  • PHP 7.2, 7.3

Changelog

Miscellaneous changes

  • Protection of all component and plugin folders against direct web access

Bug fixes

  • [MEDIUM] Expiration Control plugin did not, in fact, auto-publish early renewals (despite supposedly fixing this issue in 6.1.4)
Assets 3

@nikosdion nikosdion released this Mar 13, 2019 · 159 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.9
  • PHP 7.3

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8 and 3.9.
  • PHP 7.2, 7.3

Changelog

Miscellaneous changes

  • Protection of all component and plugin folders against direct web access

Bug fixes

  • [MEDIUM] Expiration Control plugin did not, in fact, auto-publish early renewals (despite supposedly fixing this issue in 6.1.4)
Assets 3

@nikosdion nikosdion released this Jan 7, 2019 · 173 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.9
  • PHP 7.3

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8 and 3.9.
  • PHP 7.2, 7.3

Changelog

Miscellaneous changes

  • PHP versions supported: 7.2.x, 7.3.x
  • Do not cache VIES validation failure in the session when the VIES service does not return a definitive result e.g. a member state's service is non-responsive

Bug fixes

  • [HIGH] Cannot set the subscription level's Level Group (page reloads) gh-325
  • [HIGH] Modified subscription information wouldn't be remembered if the validation failed
  • [MEDIUM] The "Yes, do not check again" option in the user's Is VIES Registered field had no effect.
Assets 3

@nikosdion nikosdion released this Dec 7, 2018 · 186 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.8
  • PHP 7.2

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8.
  • PHP 7.0, 7.1, 7.2.

Changelog

  • Select the default payment method if no or an invalid method was selected (instead of simply failing)
  • Joomla! 3.9 backend Components menu item compatibility
Assets 3

@nikosdion nikosdion released this Sep 4, 2018 · 192 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.8
  • PHP 7.2

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8.
  • PHP 7.0, 7.1, 7.2.

Changelog

  • Select the default payment method if no or an invalid method was selected (instead of simply failing)
  • Joomla! 3.9 backend Components menu item compatibility
Assets 3

@nikosdion nikosdion released this Jun 27, 2018 · 199 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.8
  • PHP 7.1

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8
  • PHP 7.0, 7.1, 7.2.

Language files

Akeeba Subscriptions comes with English (Great Britain) language built-in. Installation packages for other languages are available on our language download page.

Changelog

  • Improved VivaWallet (formerly VivaPayments) plugin
Assets 3

@nikosdion nikosdion released this Jun 14, 2018 · 209 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.8
  • PHP 7.1

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8
  • PHP 7.0, 7.1, 7.2.

Language files

Akeeba Subscriptions comes with English (Great Britain) language built-in. Installation packages for other languages are available on our language download page.

Changelog

New

  • Rewritten interface using our Akeeba Frontend Framework (FEF).
  • Warn the user if either FOF or FEF is not installed.
  • Warn the user about incompatible versions of PHP, use of eAccelerator on PHP 5.4 and use of HHVM.

Removed features

  • The following payment plugins have not been maintained since 2013 and have been removed: Skrill, Stripe, PayPal Payment Pro, PayPal Express.
  • The following payment plugins have been replaced by new versions and have been removed: 2Checkout (replaced by 2conew), PayMill (replaced by paymilldss3). Old versions of the plugins don't even work anymore so why ship them...?

Bug fixes

  • Inconsistent use of user-supplied data and data from the database in the subscription form in some cases.
  • Fatal error if we cannot retrieve the exchange rate information from the ECB
Assets 3

@nikosdion nikosdion released this May 22, 2018 · 226 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.8
  • PHP 7.1

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8
  • PHP 7.0, 7.1, 7.2.

Language files

Akeeba Subscriptions comes with English (Great Britain) language built-in. Installation packages for other languages are available on our language download page.

Changelog

New

  • Rewritten interface using our Akeeba Frontend Framework (FEF).
  • Warn the user if either FOF or FEF is not installed.
  • Warn the user about incompatible versions of PHP, use of eAccelerator on PHP 5.4 and use of HHVM.

Removed features

  • The following payment plugins have not been maintained since 2013 and have been removed: Skrill, Stripe, PayPal Payment Pro, PayPal Express.
  • The following payment plugins have been replaced by new versions and have been removed: 2Checkout (replaced by 2conew), PayMill (replaced by paymilldss3). Old versions of the plugins don't even work anymore so why ship them...?

Bug fixes

  • Inconsistent use of user-supplied data and data from the database in the subscription form in some cases.
  • Fatal error if we cannot retrieve the exchange rate information from the ECB
Assets 3

@nikosdion nikosdion released this Mar 26, 2018 · 249 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.8
  • PHP 7.1

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.8
  • PHP 7.0, 7.1, 7.2.

Language files

Akeeba Subscriptions comes with English (Great Britain) language built-in. Installation packages for other languages are available on our language download page.

Changelog

New

  • Rewritten interface using our Akeeba Frontend Framework (FEF).
  • Warn the user if either FOF or FEF is not installed.
  • Warn the user about incompatible versions of PHP, use of eAccelerator on PHP 5.4 and use of HHVM.

Removed features

  • The following payment plugins have not been maintained since 2013 and have been removed: Skrill, Stripe, PayPal Payment Pro, PayPal Express.
  • The following payment plugins have been replaced by new versions and have been removed: 2Checkout (replaced by 2conew), PayMill (replaced by paymilldss3). Old versions of the plugins don't even work anymore so why ship them...?

Bug fixes

  • Inconsistent use of user-supplied data and data from the database in the subscription form in some cases.
  • Fatal error if we cannot retrieve the exchange rate information from the ECB
Assets 3

@nikosdion nikosdion released this Aug 30, 2017 · 365 commits to development since this release

Joomla and PHP Compatibility

We are developing, testing and using Akeeba Subscriptions using the latest version of Joomla! and a popular and actively maintained branch of PHP 7. At the time of this writing this is:

  • Joomla! 3.7
  • PHP 7.0

Akeeba Subscriptions should be compatible with:

  • Joomla! 3.4, 3.5, 3.6, 3.7
  • PHP 5.4, 5.5, 5.6, 7.0, 7.1.

Changelog

Bug fixes

  • Fatal error in backend Coupons page for some users.
  • Workaround for Joomla! Bug 16147 (joomla/joomla-cms#16147) - Cannot access component after installation when cache is enabled.
  • Workaround for Joomla! bug "Sometimes files are not copied on update".
  • 2Checkout TLS 1.1 requirement, applicable since June 1st, 2017.
  • PayMill button class should be "btn btn-success", not just "btn".
  • The selected payment method is not remembered when coming back to the form after a validation error.
Assets 3
You can’t perform that action at this time.